#include <string>
#include <vector>

struct XmlDataElement {
	std::string type;
	std::string name;
	unsigned len;
};

std::vector<XmlDataElement> parse_xml_data(/*might have params..*/) 
{
	// creates the output vector...
	std::vector<XmlDataElement> out;
	XmlDataElement e1, e2, e3, e4;

	e1.type = "uint16";
	e1.name = "data_name_1";
	e1.len = 2;

	e2.type = "float32";
	e2.name = "data_name_2";
	e2.len = 1;

	e3.type = "int8";
	e3.name = "data_name_3";
	e3.len = 4;

	e4.type = "bad_data_type";
	e4.name = "dontcare";
	e4.len = 1;

	out.push_back(e1);
	out.push_back(e2);
	out.push_back(e3);
	out.push_back(e4);

	return out;
}
